package com.ss.android.ugc.aweme.services.watermark;

import X.JUB;
import X.NO8;
import com.bytedance.covode.number.Covode;

public interface IWaterMarkService {
    static {
        Covode.recordClassIndex(105501);
    }

    void addWaterMarkToImage(NO8 no8, String str, String str2);

    void cancelWaterMark();

    void prepareDataForI18n(JUB jub);

    void waterMark(JUB jub);
}
